Subject: Re: simple bootloader 2.6.10-rc3 8xx

From: Wolfgang Denk <[email-masked]>
Date: Tue, 28 Dec 2004 10:13:26 +0100

In message <[email-masked]> Paul Bilke wrote:
...
> If you are running a duet variant (870,880,885) there is a CPU errata 
> which was the cause in my case.
...
> I hired Wolfgang to implement the suggested work around and I believe he 
> has put the necessary code into his 2.4 tree already.

Yes, the CPU15 workaround code is in the linuxppc_2_4_devel  tree  on
our CVS server:

---------------------
PatchSet 295 
Date: 2004/08/25 16:16:30
Author: wd
Branch: HEAD
Tag: (none)  
Log:
Implement work-around for CPU15 Silicon Errata on MPC8xx processors.
  
Members: 
        arch/ppc/8xx_io/Config.in:1.8->1.9 
        arch/ppc/kernel/head_8xx.S:1.6->1.7 
        include/linux/sysctl.h:1.8->1.9 
        kernel/sysctl.c:1.8->1.9 
  
---------------------

Best regards,

Wolfgang Denk

-- 
Software Engineering:  Embedded and Realtime Systems,  Embedded Linux
Phone: (+49)-8142-66989-10 Fax: (+49)-8142-66989-80 Email: [email-masked]
Real computer scientists despise the idea of actual  hardware.  Hard-
ware has limitations, software doesn't. It's a real shame that Turing
machines are so poor at I/O.